<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:24 CEST 2019 -->
<title>AbstractImmutableAttachProperties (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractImmutableAttachProperties (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" target="_top">Frames</a></li>
<li><a href="AbstractImmutableAttachProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng</div>
<h2 title="Class AbstractImmutableAttachProperties" class="title">Class AbstractImmutableAttachProperties&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.AbstractImmutableAttachProperties&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableConnectionProperties</a>, <a href="../../../../org/firebirdsql/gds/ng/FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng">FbImmutableServiceProperties</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractImmutableAttachProperties&lt;T extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;</pre>
<div class="block">Abstract immutable implementation of <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IAttachProperties</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.IAttachProperties">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT">DEFAULT_CONNECT_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT">DEFAULT_PORT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME">DEFAULT_SERVER_NAME</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT">DEFAULT_SO_TIMEOUT</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE">DEFAULT_SOCKET_BUFFER_SIZE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#AbstractImmutableAttachProperties-org.firebirdsql.gds.ng.IAttachProperties-">AbstractImmutableAttachProperties</a></span>(<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&nbsp;src)</code>
<div class="block">Copy constructor for IAttachProperties.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getAuthPlugins--">getAuthPlugins</a></span>()</code>
<div class="block">Get the list of authentication plugins to try.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getCharSet--">getCharSet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getConnectTimeout--">getConnectTimeout</a></span>()</code>
<div class="block">Get the connect timeout in seconds.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a></span>()</code>
<div class="block">Get the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getEncoding--">getEncoding</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getPassword--">getPassword</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getPortNumber--">getPortNumber</a></span>()</code>
<div class="block">Get the portnumber of the server.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getRoleName--">getRoleName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getServerName--">getServerName</a></span>()</code>
<div class="block">Get the hostname or IP address of the Firebird server.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a></span>()</code>
<div class="block">Get the socket buffer size.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getSoTimeout--">getSoTimeout</a></span>()</code>
<div class="block">Get the initial Socket blocking timeout (SoTimeout).</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getUser--">getUser</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#getWireCrypt--">getWireCrypt</a></span>()</code>
<div class="block">Get the wire encryption level.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#immutable--">immutable</a></span>()</code>
<div class="block">Throws an UnsupportedOperationException</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</code>
<div class="block">Sets the authentication plugins to try.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</code>
<div class="block">Set the Java character set for the connection.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a></span>(int&nbsp;connectTimeout)</code>
<div class="block">Set the connect timeout in seconds.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</code>
<div class="block">Sets the database encryption plugin configuration.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Set the Firebird character set for the connection.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setPortNumber-int-">setPortNumber</a></span>(int&nbsp;portNumber)</code>
<div class="block">Set the port number of the server.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;roleName)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setServerName-java.lang.String-">setServerName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverName)</code>
<div class="block">Set the hostname or IP address of the Firebird server.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a></span>(int&nbsp;socketBufferSize)</code>
<div class="block">Set the socket buffer size.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setSoTimeout-int-">setSoTimeout</a></span>(int&nbsp;soTimeout)</code>
<div class="block">Set the initial Socket blocking timeout (SoTimeout).</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setUser-java.lang.String-">setUser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></span>(<a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</code>
<div class="block">Set the wire encryption level.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.IAttachProperties">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asImmutable--">asImmutable</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#asNewMutable--">asNewMutable</a>, <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAttachObjectName--">getAttachObjectName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractImmutableAttachProperties-org.firebirdsql.gds.ng.IAttachProperties-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractImmutableAttachProperties</h4>
<pre>public&nbsp;AbstractImmutableAttachProperties(<a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&nbsp;src)</pre>
<div class="block">Copy constructor for IAttachProperties.
 <p>
 All properties defined in <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng"><code>IAttachProperties</code></a> are copied
 from <code>src</code> to the new instance.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>src</code> - Source to copy from</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getServerName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServerName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getServerName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getServerName--">IAttachProperties</a></code></span></div>
<div class="block">Get the hostname or IP address of the Firebird server.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME"><code>IAttachProperties.DEFAULT_SERVER_NAME</code></a>
 if value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getServerName--">getServerName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Hostname or IP address of the server</dd>
</dl>
</li>
</ul>
<a name="setServerName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServerName</h4>
<pre>public&nbsp;void&nbsp;setServerName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serverName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setServerName-java.lang.String-">IAttachProperties</a></code></span></div>
<div class="block">Set the hostname or IP address of the Firebird server.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SERVER_NAME"><code>IAttachProperties.DEFAULT_SERVER_NAME</code></a> if
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setServerName-java.lang.String-">setServerName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serverName</code> - Hostname or IP address of the server</dd>
</dl>
</li>
</ul>
<a name="getPortNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPortNumber</h4>
<pre>public&nbsp;int&nbsp;getPortNumber()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPortNumber--">IAttachProperties</a></code></span></div>
<div class="block">Get the portnumber of the server.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT"><code>IAttachProperties.DEFAULT_PORT</code></a> if
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPortNumber--">getPortNumber</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Portnumber of the server</dd>
</dl>
</li>
</ul>
<a name="setPortNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPortNumber</h4>
<pre>public&nbsp;void&nbsp;setPortNumber(int&nbsp;portNumber)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPortNumber-int-">IAttachProperties</a></code></span></div>
<div class="block">Set the port number of the server.
 <p>
 NOTE: Implementer should take care to use the <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_PORT"><code>IAttachProperties.DEFAULT_PORT</code></a> if
 this method hasn't been called yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPortNumber-int-">setPortNumber</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>portNumber</code> - Port number of the server</dd>
</dl>
</li>
</ul>
<a name="getUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUser</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUser()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getUser--">getUser</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name of the user to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="setUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser</h4>
<pre>public&nbsp;void&nbsp;setUser(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setUser-java.lang.String-">setUser</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - Name of the user to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getPassword--">getPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Password to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setPassword-java.lang.String-">setPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - Password to authenticate to the server.</dd>
</dl>
</li>
</ul>
<a name="getRoleName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoleName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getRoleName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getRoleName--">getRoleName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>SQL role to use.</dd>
</dl>
</li>
</ul>
<a name="setRoleName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRoleName</h4>
<pre>public&nbsp;void&nbsp;setRoleName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;roleName)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setRoleName-java.lang.String-">setRoleName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roleName</code> - SQL role to use.</dd>
</dl>
</li>
</ul>
<a name="getCharSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCharSet</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCharSet()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getCharSet--">getCharSet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Java character set for the connection.</dd>
</dl>
</li>
</ul>
<a name="setCharSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCharSet</h4>
<pre>public&nbsp;void&nbsp;setCharSet(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;charSet)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setCharSet-java.lang.String-">IAttachProperties</a></code></span></div>
<div class="block">Set the Java character set for the connection.
 <p>
 Contrary to other parts of the codebase, the value of
 <code>encoding</code> should not be changed when <code>charSet</code> is
 set.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setCharSet-java.lang.String-">setCharSet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>charSet</code> - Character set for the connection. Similar to
         <code>encoding</code> property, but accepts Java names instead
         of Firebird ones.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-"><code>IAttachProperties.setEncoding(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEncoding()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getEncoding--">getEncoding</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird character encoding for the connection.</dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>public&nbsp;void&nbsp;setEncoding(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-">IAttachProperties</a></code></span></div>
<div class="block">Set the Firebird character set for the connection.
 <p>
 Contrary to other parts of the codebase, the value of
 <code>charSet</code> should not be changed when <code>encoding</code> is
 set.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setEncoding-java.lang.String-">setEncoding</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encoding</code> - Firebird character encoding for the connection. See Firebird
         documentation for more information.</dd>
</dl>
</li>
</ul>
<a name="getSocketBufferSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSocketBufferSize</h4>
<pre>public&nbsp;int&nbsp;getSocketBufferSize()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSocketBufferSize--">IAttachProperties</a></code></span></div>
<div class="block">Get the socket buffer size.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE"><code>IAttachProperties.DEFAULT_SOCKET_BUFFER_SIZE</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSocketBufferSize--">getSocketBufferSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>socket buffer size in bytes, or -1 if not specified.</dd>
</dl>
</li>
</ul>
<a name="setSocketBufferSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSocketBufferSize</h4>
<pre>public&nbsp;void&nbsp;setSocketBufferSize(int&nbsp;socketBufferSize)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSocketBufferSize-int-">IAttachProperties</a></code></span></div>
<div class="block">Set the socket buffer size.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SOCKET_BUFFER_SIZE"><code>IAttachProperties.DEFAULT_SOCKET_BUFFER_SIZE</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSocketBufferSize-int-">setSocketBufferSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>socketBufferSize</code> - socket buffer size in bytes.</dd>
</dl>
</li>
</ul>
<a name="getSoTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSoTimeout</h4>
<pre>public&nbsp;int&nbsp;getSoTimeout()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSoTimeout--">IAttachProperties</a></code></span></div>
<div class="block">Get the initial Socket blocking timeout (SoTimeout).
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT"><code>IAttachProperties.DEFAULT_SO_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getSoTimeout--">getSoTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The initial socket blocking timeout in milliseconds (0 is
         'infinite')</dd>
</dl>
</li>
</ul>
<a name="setSoTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSoTimeout</h4>
<pre>public&nbsp;void&nbsp;setSoTimeout(int&nbsp;soTimeout)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSoTimeout-int-">IAttachProperties</a></code></span></div>
<div class="block">Set the initial Socket blocking timeout (SoTimeout).
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_SO_TIMEOUT"><code>IAttachProperties.DEFAULT_SO_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setSoTimeout-int-">setSoTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>soTimeout</code> - Timeout in milliseconds (0 is 'infinite')</dd>
</dl>
</li>
</ul>
<a name="getConnectTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectTimeout</h4>
<pre>public&nbsp;int&nbsp;getConnectTimeout()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getConnectTimeout--">IAttachProperties</a></code></span></div>
<div class="block">Get the connect timeout in seconds.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT"><code>IAttachProperties.DEFAULT_CONNECT_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getConnectTimeout--">getConnectTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Connect timeout in seconds (0 is 'infinite', or better: OS
         specific timeout)</dd>
</dl>
</li>
</ul>
<a name="setConnectTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConnectTimeout</h4>
<pre>public&nbsp;void&nbsp;setConnectTimeout(int&nbsp;connectTimeout)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setConnectTimeout-int-">IAttachProperties</a></code></span></div>
<div class="block">Set the connect timeout in seconds.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#DEFAULT_CONNECT_TIMEOUT"><code>IAttachProperties.DEFAULT_CONNECT_TIMEOUT</code></a> if the
 value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setConnectTimeout-int-">setConnectTimeout</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connectTimeout</code> - Connect timeout in seconds (0 is 'infinite', or better: OS
         specific timeout)</dd>
</dl>
</li>
</ul>
<a name="getWireCrypt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWireCrypt</h4>
<pre>public&nbsp;<a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;getWireCrypt()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getWireCrypt--">IAttachProperties</a></code></span></div>
<div class="block">Get the wire encryption level.
 <p>
 NOTE: Implementer should take care to return <a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html#DEFAULT"><code>WireCrypt.DEFAULT</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getWireCrypt--">getWireCrypt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire encryption level</dd>
</dl>
</li>
</ul>
<a name="setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWireCrypt</h4>
<pre>public&nbsp;void&nbsp;setWireCrypt(<a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html" title="enum in org.firebirdsql.gds.ng">WireCrypt</a>&nbsp;wireCrypt)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">IAttachProperties</a></code></span></div>
<div class="block">Set the wire encryption level.
 <p>
 NOTE: Implementer should take care to use <a href="../../../../org/firebirdsql/gds/ng/WireCrypt.html#DEFAULT"><code>WireCrypt.DEFAULT</code></a> if
 the value hasn't been set yet.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>wireCrypt</code> - Wire encryption level (<code>null</code> not allowed)</dd>
</dl>
</li>
</ul>
<a name="getDbCryptConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDbCryptConfig</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDbCryptConfig()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getDbCryptConfig--">IAttachProperties</a></code></span></div>
<div class="block">Get the database encryption plugin configuration.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getDbCryptConfig--">getDbCryptConfig</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database encryption plugin configuration, meaning plugin specific</dd>
</dl>
</li>
</ul>
<a name="setDbCryptConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDbCryptConfig</h4>
<pre>public&nbsp;void&nbsp;setDbCryptConfig(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;dbCryptConfig)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setDbCryptConfig-java.lang.String-">IAttachProperties</a></code></span></div>
<div class="block">Sets the database encryption plugin configuration.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dbCryptConfig</code> - Database encryption plugin configuration, meaning plugin specific</dd>
</dl>
</li>
</ul>
<a name="getAuthPlugins--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAuthPlugins</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAuthPlugins()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAuthPlugins--">IAttachProperties</a></code></span></div>
<div class="block">Get the list of authentication plugins to try.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#getAuthPlugins--">getAuthPlugins</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
</dl>
</li>
</ul>
<a name="setAuthPlugins-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAuthPlugins</h4>
<pre>public&nbsp;void&nbsp;setAuthPlugins(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;authPlugins)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setAuthPlugins-java.lang.String-">IAttachProperties</a></code></span></div>
<div class="block">Sets the authentication plugins to try.
 <p>
 Invalid names are skipped during authentication.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;<a href="../../../../org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" title="type parameter in AbstractImmutableAttachProperties">T</a> extends <a href="../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authPlugins</code> - comma-separated list of authentication plugins, or <code>null</code> for driver default</dd>
</dl>
</li>
</ul>
<a name="immutable--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>immutable</h4>
<pre>protected final&nbsp;void&nbsp;immutable()</pre>
<div class="block">Throws an UnsupportedOperationException</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/ng/AbstractImmutableAttachProperties.html" target="_top">Frames</a></li>
<li><a href="AbstractImmutableAttachProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
